Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.accessibility
Class AccessibleAttributeSequence

    java.lang.Object
      javax.accessibility.AccessibleAttributeSequence

    public class AccessibleAttributeSequence

extends Object

Information about a contiguous sequence of text attributes

Field Summary
`AttributeSet` | `attributes`
`int` | `endIndex`
`int` | `startIndex`

Constructor Summary
`AccessibleAttributeSequence()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### startIndex

    public int startIndex

### endIndex

    public int endIndex

### attributes

    public AttributeSet attributes

Constructor Detail

### AccessibleAttributeSequence

    public AccessibleAttributeSequence()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.